<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
					xmlns:s="library://ns.adobe.com/flex/spark"
					xmlns:ui="library://ns.adobe.com/flex/ui"
					xmlns:mx="library://ns.adobe.com/flex/mx"
					xmlns:components="br.com.dclick.components.*"
					xmlns:componente="br.com.desenv.framework.componente.*"
					xmlns:visual="br.com.desenv.framework.component.visual.*"
					xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*"
					xmlns:component="br.com.desenv.nepalign.view.component.*"
					xmlns:components1="com.hillelcoren.components.*"
					width="1200" height="650" close="titlewindowCloseHandler(event)"
					creationComplete="creationCompleteHandler(event)" title="Baixa de Pedido de Compra"
					>
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="PedidoCompraVendaIncluidoEvent")]
		[Event(name="PedidoCompraVendaAtualizadoEvent")]
		[Event(name="PedidoCompraVendaExcluidoEvent")]
		[Event(name="PedidoCompraVendaSelecionadoEvent")]
		
	</fx:Metadata>
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.controls.DateField;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			
			import spark.events.IndexChangeEvent;
			import spark.events.TextOperationEvent;
			
			import br.com.desenv.framework.component.formatter.Formatador;
			import br.com.desenv.nepalign.vo.Cor;
			import br.com.desenv.nepalign.vo.DocumentoEntradaSaida;
			import br.com.desenv.nepalign.vo.EmpresaFisica;
			import br.com.desenv.nepalign.vo.Grade;
			import br.com.desenv.nepalign.vo.ItemDocumentoEntradaSaida;
			import br.com.desenv.nepalign.vo.ItemPedidoCompraVenda;
			import br.com.desenv.nepalign.vo.MovimentacaoEstoque;
			import br.com.desenv.nepalign.vo.OrdemProduto;
			import br.com.desenv.nepalign.vo.PedidoCompraVenda;
			import br.com.desenv.nepalign.vo.Produto;
			import br.com.desenv.nepalign.vo.Tamanho;
			
			
			
	
			// Alguem passa a objeto para ca
			[Bindable]
			public var pedidoCompraVenda : PedidoCompraVenda = new PedidoCompraVenda();
			
			
			public var documentoEntradaSaida: DocumentoEntradaSaida = new DocumentoEntradaSaida();
			
			// Alguem passa se é compra ou venda
			// C ou V
			public var tipo: String;  
			
			
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
			
			// BINDALE DE OUTRAS GERACOES			
			[Bindable]
			private var listaGrade: ArrayCollection = new ArrayCollection();
			
			[Bindable]
			private var listaGradeSelecionada: ArrayCollection = new ArrayCollection();
			
			[Bindable]			
			public var listaItemPedidoCompraVenda: ArrayCollection = new ArrayCollection();
			
			[Bindable]
			private var listaItemPedidoCompraVendaBaixado:ArrayCollection = new ArrayCollection();
			
			[Bindable]
			private var grade01: Grade = new Grade();
			
			[Bindable]
			private var grade02: Grade = new Grade();
			
			[Bindable]
			private var grade03: Grade = new Grade();
			
			[Bindable]
			private var gradeSelecionada: Grade = null;
			
			[Bindable]
			private var listaProduto: ArrayCollection = new ArrayCollection();
			
			[Bindable]
			private var listaOrdemProduto: ArrayCollection = new ArrayCollection();
			
			[Bindable]
			private var listaCor: ArrayCollection = new ArrayCollection();
			
			[Bindable]
			private var quantidadeParcial:Number = 0;
			
			// usado para selecao temporaria
			private var cor: Cor = null;
			private var produto: Produto = null;
			private var ordemProduto: OrdemProduto = null;
			
			private var itemPedidoCompraVendaSelecionado: ItemPedidoCompraVenda = null;
			
			
			// 			METODOS DE OUTRAS GERACOES ///
			protected function datagridListaItemPedidoCompraVenda_doubleClickHandler(event:MouseEvent):void
			{
				var itemPedidoCompraVenda: ItemPedidoCompraVenda = datagridListaItemPedidoCompraVenda.selectedItem as ItemPedidoCompraVenda;
				
				this.itemPedidoCompraVendaSelecionado = itemPedidoCompraVenda;
				
				
				if (itemPedidoCompraVenda.cor != null)
				{
					ignTextInputCor.text = itemPedidoCompraVenda.cor.id + " - " + itemPedidoCompraVenda.cor.descricaoCorEmpresa;
				}
				
				this.cor = itemPedidoCompraVenda.cor;
				
				
				if (itemPedidoCompraVenda.ordemProduto != null)
				{
					ignTextInputOrdemProduto.text = itemPedidoCompraVenda.ordemProduto.id + " - " + itemPedidoCompraVenda.ordemProduto.descricao;
				}
				
				this.ordemProduto = itemPedidoCompraVenda.ordemProduto;
				
				if (itemPedidoCompraVenda.produto != null)
				{
					ignTextInputProduto.text = itemPedidoCompraVenda.produto.id + " - " + itemPedidoCompraVenda.produto.nomeProduto;
				}
				
				this.produto = itemPedidoCompraVenda.produto;
				
				
				
				if (itemPedidoCompraVenda.grade != null)
				{
					for(var i:int = 0; i < this.listaGradeSelecionada.length; i++)
					{
						var gradeTemp: Grade = this.listaGradeSelecionada.getItemAt(i) as Grade;
						
						if (itemPedidoCompraVenda.grade.id == gradeTemp.id)
						{
							ignComboBoxAutoCompleteGradeItem.selectedIndex = i;	
						}
					}
				}
				
				this.gradeSelecionada = itemPedidoCompraVenda.grade;
				mostrarGradeSelecionadaAcima();
				
				ignTextInputIntegerQuantidade1.text = itemPedidoCompraVenda.quantidade1.toString();
				ignTextInputIntegerQuantidade2.text = itemPedidoCompraVenda.quantidade2.toString();
				ignTextInputIntegerQuantidade3.text = itemPedidoCompraVenda.quantidade3.toString();
				ignTextInputIntegerQuantidade4.text = itemPedidoCompraVenda.quantidade4.toString();
				ignTextInputIntegerQuantidade5.text = itemPedidoCompraVenda.quantidade5.toString();
				ignTextInputIntegerQuantidade6.text = itemPedidoCompraVenda.quantidade6.toString();
				ignTextInputIntegerQuantidade7.text = itemPedidoCompraVenda.quantidade7.toString();
				ignTextInputIntegerQuantidade8.text = itemPedidoCompraVenda.quantidade8.toString();
				ignTextInputIntegerQuantidade9.text = itemPedidoCompraVenda.quantidade9.toString();
				ignTextInputIntegerQuantidade10.text = itemPedidoCompraVenda.quantidade10.toString();
				ignTextInputIntegerQuantidade11.text = itemPedidoCompraVenda.quantidade11.toString();
				ignTextInputIntegerQuantidade12.text = itemPedidoCompraVenda.quantidade12.toString();
				ignTextInputIntegerQuantidade13.text = itemPedidoCompraVenda.quantidade13.toString();
				
				ignTextInputDoubleValorUnitarioCusto.text = itemPedidoCompraVenda.valorUnitarioCusto == 0.0?"":itemPedidoCompraVenda.valorUnitarioCusto.toString().replace(".", ",");
				ignTextInputDoubleValorUnitarioVenda.text = itemPedidoCompraVenda.valorUnitarioVenda == 0.0?"":itemPedidoCompraVenda.valorUnitarioVenda.toString().replace(".", ",");
				
				this.quantidadeParcial = itemPedidoCompraVenda.quantidadeTotal;

			}
			
			protected function carregarListaGradeSelecionada(): void
			{
				this.listaGradeSelecionada.removeAll();
				var grade:Grade = new Grade();
				var tamanhoTemp: Tamanho = new Tamanho();
				tamanhoTemp.descricao = " ";
				grade.tamanho1 = tamanhoTemp;
				grade.tamanho2 = tamanhoTemp;
				grade.tamanho3 = tamanhoTemp;
				grade.tamanho4 = tamanhoTemp;
				grade.tamanho5 = tamanhoTemp;
				grade.tamanho6 = tamanhoTemp;
				grade.tamanho7 = tamanhoTemp;
				grade.tamanho8 = tamanhoTemp;
				grade.tamanho9 = tamanhoTemp;
				grade.tamanho10 = tamanhoTemp;
				grade.tamanho11 = tamanhoTemp;
				grade.tamanho12 = tamanhoTemp;
				grade.tamanho13 = tamanhoTemp;
				
				this.gradeSelecionada = grade;
				
				textInputQuantidade1.visible = false;
				textInputQuantidade2.visible = false;
				textInputQuantidade3.visible = false;
				textInputQuantidade4.visible = false;
				textInputQuantidade5.visible = false;
				textInputQuantidade6.visible = false;
				textInputQuantidade7.visible = false;
				textInputQuantidade8.visible = false;
				textInputQuantidade9.visible = false;
				textInputQuantidade10.visible = false;
				textInputQuantidade11.visible = false;
				textInputQuantidade12.visible = false;
				textInputQuantidade13.visible = false;
				
				
				
				if (this.grade01 != null && this.grade01.descricao != null)
				{
					this.listaGradeSelecionada.addItem(this.grade01);
				}
				
				if (this.grade02 != null && this.grade02.descricao != null)
				{
					this.listaGradeSelecionada.addItem(this.grade02);
				}
				
				if (this.grade03 != null && this.grade03.descricao != null)
				{
					this.listaGradeSelecionada.addItem(this.grade03);
				}
				
			}
			
		
			
			// void nao retorna nenhum valor
			protected function validaGrades():void
			{
				//var [nome da variavel]:[tipo da variavel]
				var grade:Grade = new Grade();
				var tamanhoTemp: Tamanho = new Tamanho();
				tamanhoTemp.descricao = " ";
				grade.tamanho1 = tamanhoTemp;
				grade.tamanho2 = tamanhoTemp;
				grade.tamanho3 = tamanhoTemp;
				grade.tamanho4 = tamanhoTemp;
				grade.tamanho5 = tamanhoTemp;
				grade.tamanho6 = tamanhoTemp;
				grade.tamanho7 = tamanhoTemp;
				grade.tamanho8 = tamanhoTemp;
				grade.tamanho9 = tamanhoTemp;
				grade.tamanho10 = tamanhoTemp;
				grade.tamanho11 = tamanhoTemp;
				grade.tamanho12 = tamanhoTemp;
				grade.tamanho13 = tamanhoTemp;
				
				tamanhoTemp.descricao = " ";
				
				
				if (this.grade01==null || this.grade01.descricao==null || this.grade01.descricao=="")
				{
					this.grade01 = grade;	
				}
					
					// grade01 - tamnho 1 , tamnho 2, tamanho 10, null, null, null
				else
				{
					
					if (this.grade01.tamanho1 == null)
					{
						this.grade01.tamanho1 = tamanhoTemp;
					}
					if (this.grade01.tamanho2 == null)
					{
						this.grade01.tamanho2 = tamanhoTemp;
					}
					if (this.grade01.tamanho3 == null)
					{
						this.grade01.tamanho3 = tamanhoTemp;
					}
					if (this.grade01.tamanho4 == null)
					{
						this.grade01.tamanho4 = tamanhoTemp;
					}
					if (this.grade01.tamanho5 == null)
					{
						this.grade01.tamanho5 = tamanhoTemp;
					}
					if (this.grade01.tamanho6 == null)
					{
						this.grade01.tamanho6 = tamanhoTemp;
					}
					if (this.grade01.tamanho7 == null)
					{
						this.grade01.tamanho7 = tamanhoTemp;
					}
					if (this.grade01.tamanho8 == null)
					{
						this.grade01.tamanho8 = tamanhoTemp;
					}
					if (this.grade01.tamanho9 == null)
					{
						this.grade01.tamanho9 = tamanhoTemp;
					}
					if (this.grade01.tamanho10 == null)
					{
						this.grade01.tamanho10 = tamanhoTemp;
					}
					if (this.grade01.tamanho11 == null)
					{
						this.grade01.tamanho11 = tamanhoTemp;
					}
					if (this.grade01.tamanho12 == null)
					{
						this.grade01.tamanho12 = tamanhoTemp;
					}
					if (this.grade01.tamanho13 == null)
					{
						this.grade01.tamanho13 = tamanhoTemp;
					}
					
					
				}
				
				if (grade02==null || grade02.descricao==null || grade02.descricao=="")
				{
					grade02 = grade;	
				}
				else
				{
					if (grade02.tamanho1 == null)
					{
						grade02.tamanho1 = tamanhoTemp;
					}
					if (grade02.tamanho2 == null)
					{
						grade02.tamanho2 = tamanhoTemp;
					}
					if (grade02.tamanho3 == null)
					{
						grade02.tamanho3 = tamanhoTemp;
					}
					if (grade02.tamanho4 == null)
					{
						grade02.tamanho4 = tamanhoTemp;
					}
					if (grade02.tamanho5 == null)
					{
						grade02.tamanho5 = tamanhoTemp;
					}
					if (grade02.tamanho6 == null)
					{
						grade02.tamanho6 = tamanhoTemp;
					}
					if (grade02.tamanho7 == null)
					{
						grade02.tamanho7 = tamanhoTemp;
					}
					if (grade02.tamanho8 == null)
					{
						grade02.tamanho8 = tamanhoTemp;
					}
					if (grade02.tamanho9 == null)
					{
						grade02.tamanho9 = tamanhoTemp;
					}
					if (grade02.tamanho10 == null)
					{
						grade02.tamanho10 = tamanhoTemp;
					}
					if (grade02.tamanho11 == null)
					{
						grade02.tamanho11 = tamanhoTemp;
					}
					if (grade02.tamanho12 == null)
					{
						grade02.tamanho12 = tamanhoTemp;
					}
					if (grade02.tamanho13 == null)
					{
						grade02.tamanho13 = tamanhoTemp;
					}					
				}
				
				if (grade03==null || grade03.descricao==null || grade03.descricao=="")
				{
					grade03 = grade;
				}
				else
				{
					
					if (grade03.tamanho1 == null)
					{
						grade03.tamanho1 = tamanhoTemp;
					}
					if (grade03.tamanho2 == null)
					{
						grade03.tamanho2 = tamanhoTemp;
					}
					if (grade03.tamanho3 == null)
					{
						grade03.tamanho3 = tamanhoTemp;
					}
					if (grade03.tamanho4 == null)
					{
						grade03.tamanho4 = tamanhoTemp;
					}
					if (grade03.tamanho5 == null)
					{
						grade03.tamanho5 = tamanhoTemp;
					}
					if (grade03.tamanho6 == null)
					{
						grade03.tamanho6 = tamanhoTemp;
					}
					if (grade03.tamanho7 == null)
					{
						grade03.tamanho7 = tamanhoTemp;
					}
					if (grade03.tamanho8 == null)
					{
						grade03.tamanho8 = tamanhoTemp;
					}
					if (grade03.tamanho9 == null)
					{
						grade03.tamanho9 = tamanhoTemp;
					}
					if (grade03.tamanho10 == null)
					{
						grade03.tamanho10 = tamanhoTemp;
					}
					if (grade03.tamanho11 == null)
					{
						grade03.tamanho11 = tamanhoTemp;
					}
					if (grade03.tamanho12 == null)
					{
						grade03.tamanho12 = tamanhoTemp;
					}
					if (grade03.tamanho13 == null)
					{
						grade03.tamanho13 = tamanhoTemp;
					}
				}
				
				
			}
			
			
			// DADOS DO ITEM ADICIONAIS
			protected function buttonPesquisarProduto_clickHandler(event:MouseEvent):void
			{
				var produtoComponentePesquisa: ProdutoComponentePesquisa = new ProdutoComponentePesquisa();
				produtoComponentePesquisa.carregarResultadoPesquisaInicial = false;
				produtoComponentePesquisa.addEventListener("ProdutoSelecionadoEvent", atualizarProdutoPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(produtoComponentePesquisa, this, true);
				
				UPCPopUpManager.instance.centerWindow(produtoComponentePesquisa);
				
			}
			
			private function atualizarProdutoPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoProduto: Produto = e.result as Produto;
				ignTextInputProduto.text = novoProduto.id + " - " + novoProduto.nomeProduto;
				this.produto = novoProduto;
			}
			
			protected function buttonAdicionarProduto_clickHandler(event:MouseEvent):void
			{
				var produtoComponenteCadastro: ProdutoComponenteCadastro = new ProdutoComponenteCadastro();
				produtoComponenteCadastro.addEventListener("ProdutoIncluidoEvent", atualizarProdutoPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(produtoComponenteCadastro, this, true);
				
				UPCPopUpManager.instance.centerWindow(produtoComponenteCadastro);
			}
			
			private function atualizarProdutoPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoProduto: Produto = e.result as Produto;
				ignTextInputProduto.text = novoProduto.id + " - " + novoProduto.nomeProduto;
				this.produto = novoProduto;
			}
			protected function buttonPesquisarOrdemProduto_clickHandler(event:MouseEvent):void
			{
				var ordemProdutoComponentePesquisa: OrdemProdutoComponentePesquisa = new OrdemProdutoComponentePesquisa();
				ordemProdutoComponentePesquisa.addEventListener("OrdemProdutoSelecionadoEvent", atualizarOrdemProdutoPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(ordemProdutoComponentePesquisa, this, true);
				
				UPCPopUpManager.instance.centerWindow(ordemProdutoComponentePesquisa);
			}
			
			private function atualizarOrdemProdutoPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoOrdemProduto: OrdemProduto = e.result as OrdemProduto;
				ignTextInputOrdemProduto.text = novoOrdemProduto.id + " - " + novoOrdemProduto.descricao;
				this.ordemProduto = novoOrdemProduto;
			}
			
			protected function buttonAdicionarOrdemProduto_clickHandler(event:MouseEvent):void
			{
				var ordemProdutoComponenteCadastro: OrdemProdutoComponenteCadastro = new OrdemProdutoComponenteCadastro();
				ordemProdutoComponenteCadastro.addEventListener("OrdemProdutoIncluidoEvent", atualizarOrdemProdutoPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(ordemProdutoComponenteCadastro, this, true);
				
				UPCPopUpManager.instance.centerWindow(ordemProdutoComponenteCadastro);
			}
			
			private function atualizarOrdemProdutoPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoOrdemProduto: OrdemProduto = e.result as OrdemProduto;
				ignTextInputOrdemProduto.text = novoOrdemProduto.id + " - " + novoOrdemProduto.descricao;
				this.ordemProduto = novoOrdemProduto;
			}
			protected function buttonPesquisarCor_clickHandler(event:MouseEvent):void
			{
				var corComponentePesquisa: CorComponentePesquisa = new CorComponentePesquisa();
				corComponentePesquisa.addEventListener("CorSelecionadoEvent", atualizarCorPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(corComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(corComponentePesquisa);
				
			}
			
			private function atualizarCorPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoCor: Cor = e.result as Cor;
				ignTextInputCor.text = novoCor.id + " - " + novoCor.descricaoCorEmpresa;
				this.cor = novoCor;
			}
			
			protected function buttonAdicionarCor_clickHandler(event:MouseEvent):void
			{
				var corComponenteCadastro: CorComponenteCadastro = new CorComponenteCadastro();
				corComponenteCadastro.addEventListener("CorIncluidoEvent", atualizarCorPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(corComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(corComponenteCadastro);
			}
			
			private function atualizarCorPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoCor: Cor = e.result as Cor;
				ignTextInputCor.text = novoCor.id + " - " + novoCor.descricaoCorEmpresa;
				this.cor = novoCor;
			}			
			
			
			// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
	
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{
				//implemente aqui outros validadores se necessario
			}
			
			private function listarItemPedidoCompraVendaBaixadoResultHandler(event:ResultEvent):void
			{
				this.listaItemPedidoCompraVendaBaixado = event.result as ArrayCollection;
			}
			
			private function listarPorObjetoFiltroResultHandler( event: ResultEvent ): void {
				
				this.listaItemPedidoCompraVenda = event.result as ArrayCollection;
				
				grade01 = new Grade();
				var tamanhoTemp: Tamanho = new Tamanho();
				tamanhoTemp.descricao = " ";
				grade01.tamanho1 = tamanhoTemp;
				grade01.tamanho2 = tamanhoTemp;
				grade01.tamanho3 = tamanhoTemp;
				grade01.tamanho4 = tamanhoTemp;
				grade01.tamanho5 = tamanhoTemp;
				grade01.tamanho6 = tamanhoTemp;
				grade01.tamanho7 = tamanhoTemp;
				grade01.tamanho8 = tamanhoTemp;
				grade01.tamanho9 = tamanhoTemp;
				grade01.tamanho10 = tamanhoTemp;
				grade01.tamanho11 = tamanhoTemp;
				grade01.tamanho12 = tamanhoTemp;
				grade01.tamanho13 = tamanhoTemp;
				
				grade02 = new Grade();
				grade02.tamanho1 = tamanhoTemp;
				grade02.tamanho2 = tamanhoTemp;
				grade02.tamanho3 = tamanhoTemp;
				grade02.tamanho4 = tamanhoTemp;
				grade02.tamanho5 = tamanhoTemp;
				grade02.tamanho6 = tamanhoTemp;
				grade02.tamanho7 = tamanhoTemp;
				grade02.tamanho8 = tamanhoTemp;
				grade02.tamanho9 = tamanhoTemp;
				grade02.tamanho10 = tamanhoTemp;
				grade02.tamanho11 = tamanhoTemp;
				grade02.tamanho12 = tamanhoTemp;
				grade02.tamanho13 = tamanhoTemp;
				
				grade03 = new Grade();
				grade03.tamanho1 = tamanhoTemp;
				grade03.tamanho2 = tamanhoTemp;
				grade03.tamanho3 = tamanhoTemp;
				grade03.tamanho4 = tamanhoTemp;
				grade03.tamanho5 = tamanhoTemp;
				grade03.tamanho6 = tamanhoTemp;
				grade03.tamanho7 = tamanhoTemp;
				grade03.tamanho8 = tamanhoTemp;
				grade03.tamanho9 = tamanhoTemp;
				grade03.tamanho10 = tamanhoTemp;
				grade03.tamanho11 = tamanhoTemp;
				grade03.tamanho12 = tamanhoTemp;
				grade03.tamanho13 = tamanhoTemp;
				
				
				
				var listaGradeExistente: ArrayCollection = new ArrayCollection();
				
				if (this.listaItemPedidoCompraVenda != null)
				{
					for(var m:int = 0; m < this.listaItemPedidoCompraVenda.length; m++)
					{
						var itemPedidoCompraTemp: ItemPedidoCompraVenda =  this.listaItemPedidoCompraVenda.getItemAt(m) as ItemPedidoCompraVenda;
						
						
						var encontrouGrade:Boolean = false;
						
						for(var j:int = 0; j < listaGradeExistente.length; j++)
						{
							var gradeExistenteTemp: Grade = listaGradeExistente.getItemAt(j) as Grade;
							if (itemPedidoCompraTemp.grade.id == gradeExistenteTemp.id)
							{
								encontrouGrade = true;
								break;
							}
						}
						
						if (encontrouGrade == false)
						{
							listaGradeExistente.addItem(itemPedidoCompraTemp.grade);
							
						}
						
					}
				}
				
				
				for (var l:int = 0; l < listaGradeExistente.length; l++)
				{
					if (l == 0)
					{
						this.grade01 = listaGradeExistente.getItemAt(l) as Grade;
						
					}
					if (l == 1)
					{
						this.grade02 = listaGradeExistente.getItemAt(l) as Grade;
					}
					if (l == 2)
					{
						this.grade03 = listaGradeExistente.getItemAt(l) as Grade;
					}
				}
				
				
				
				validaGrades();
				
				for(var n:int = 0; n < this.listaItemPedidoCompraVenda.length; n++)
				{
					var itemPedidoCompraTemp2: ItemPedidoCompraVenda =  this.listaItemPedidoCompraVenda.getItemAt(n) as ItemPedidoCompraVenda;
					
					
					if (itemPedidoCompraTemp2.grade.id == this.grade01.id)
					{
						itemPedidoCompraTemp2.letraGrade = 'A';
					}
					if (this.grade02 != null && itemPedidoCompraTemp2.grade.id == this.grade02.id)
					{
						itemPedidoCompraTemp2.letraGrade = 'B';
					}
					if (this.grade03 != null && itemPedidoCompraTemp2.grade.id == this.grade03.id)
					{
						itemPedidoCompraTemp2.letraGrade = 'C';
					}
					
					
				}	
				
				
				this.listaGradeSelecionada.addAll(listaGradeExistente);				
			}
			
			// Chama ao completar o carregamento da pagina
			private function creationCompleteHandler( event: FlexEvent ): void 
			{
				carregarListaValidacao();
				
				if (this.pedidoCompraVenda != null)
				{
					var itemPedidoCompraVendaFiltro:ItemPedidoCompraVenda = new ItemPedidoCompraVenda();
					itemPedidoCompraVendaFiltro.pedidoCompraVenda = this.pedidoCompraVenda;
					var remoteObject: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("itemPedidoCompraVendaService", listarPorObjetoFiltroResultHandler);	
					remoteObject.getOperation("listarPorObjetoFiltro").send(itemPedidoCompraVendaFiltro);
					
					var remoteObjectItensBaixados: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pedidoCompraVendaService", listarItemPedidoCompraVendaBaixadoResultHandler);	
					remoteObjectItensBaixados.getOperation("listarItemPedidoCompraVendaBaixados").send(this.pedidoCompraVenda);
				}
			}

			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			private function buttonSalvar_clickHandler( event: MouseEvent ): void 
			{
				if (validar(event))
				{
					documentoEntradaSaida.tipo = "E"; 
					
					documentoEntradaSaida.empresaFisica = new EmpresaFisica();
					documentoEntradaSaida.empresaFisica.id = FlexGlobals.topLevelApplication.usuarioLogado.empresaPadrao.id;  
					documentoEntradaSaida.fornecedor = this.pedidoCompraVenda.fornecedorCliente;
					documentoEntradaSaida.numeroDocumentoEntradaSaida = this.pedidoCompraVenda.numeroPedido.toString();
					documentoEntradaSaida.pedidoCompraVenda = pedidoCompraVenda;
					documentoEntradaSaida.observacao = "BAIXA AUTORIZADA"
				
					// Data da emissao da nota fiscal
					documentoEntradaSaida.dataEmissao = new Date();
					
					// Data do Movimento 
					documentoEntradaSaida.dataEntrada = new Date();
					
					documentoEntradaSaida.numeroNotaFiscal = "BAIXA AUTORIZADA";
					
					documentoEntradaSaida.serie =  999;
					
					// "1" - Salvo
					// "2"	- Baixado
					// "3" - Revisado
					// "4" - Baixa Autorizada
					
					documentoEntradaSaida.situacao = "4";
					
					// para cada item baixado
					var sequencial:int = 1;
					var listaItemDocumentoEntradaSaida:ArrayCollection = new ArrayCollection();
					
					var totalQuantidadeBaixa: int = 0;
					var valorTotalCusto: int = 0;
					var valorTotalVenda: int = 0;
					
					for (var i:int = 0; i < this.listaItemPedidoCompraVenda.length; i++)
					{
						var itemDocumentoEntradaSaida: ItemDocumentoEntradaSaida = new ItemDocumentoEntradaSaida();
						var itemPedidoCompraVendaTemp: ItemPedidoCompraVenda = this.listaItemPedidoCompraVenda.getItemAt(i) as ItemPedidoCompraVenda;
						
						var totalQuantidadeItem:int = 0;
	
						if (itemPedidoCompraVendaTemp.baixadoCancelado == "B" || itemPedidoCompraVendaTemp.baixadoCancelado == "P" || itemPedidoCompraVendaTemp.baixadoCancelado == "C")
						{
							itemDocumentoEntradaSaida.situacao = "3";
							itemDocumentoEntradaSaida.quantidade1 =  itemPedidoCompraVendaTemp.quantidade1;
							itemDocumentoEntradaSaida.quantidade2 =  itemPedidoCompraVendaTemp.quantidade2;
							itemDocumentoEntradaSaida.quantidade3 =  itemPedidoCompraVendaTemp.quantidade3;
							itemDocumentoEntradaSaida.quantidade4 =  itemPedidoCompraVendaTemp.quantidade4;
							itemDocumentoEntradaSaida.quantidade5 =  itemPedidoCompraVendaTemp.quantidade5;
							itemDocumentoEntradaSaida.quantidade6 =  itemPedidoCompraVendaTemp.quantidade6;
							itemDocumentoEntradaSaida.quantidade7 =  itemPedidoCompraVendaTemp.quantidade7;
							itemDocumentoEntradaSaida.quantidade8 =  itemPedidoCompraVendaTemp.quantidade8;
							itemDocumentoEntradaSaida.quantidade9 =  itemPedidoCompraVendaTemp.quantidade9;
							itemDocumentoEntradaSaida.quantidade10 =  itemPedidoCompraVendaTemp.quantidade10;
							itemDocumentoEntradaSaida.quantidade11 =  itemPedidoCompraVendaTemp.quantidade11;
							itemDocumentoEntradaSaida.quantidade12 =  itemPedidoCompraVendaTemp.quantidade12;
							itemDocumentoEntradaSaida.quantidade13 =  itemPedidoCompraVendaTemp.quantidade13;
							itemDocumentoEntradaSaida.quantidade14 = 0; // itemPedidoCompraVendaTemp.quantidade14;
							itemDocumentoEntradaSaida.quantidade15 = 0; //  itemPedidoCompraVendaTemp.quantidade15;
							itemDocumentoEntradaSaida.quantidade16 = 0; //  itemPedidoCompraVendaTemp.quantidade16;
							itemDocumentoEntradaSaida.quantidade17 = 0; //  itemPedidoCompraVendaTemp.quantidade17;
							
							totalQuantidadeItem = itemPedidoCompraVendaTemp.quantidade1 + 
												itemPedidoCompraVendaTemp.quantidade2 + 
												itemPedidoCompraVendaTemp.quantidade3 + 
												itemPedidoCompraVendaTemp.quantidade4 + 
												itemPedidoCompraVendaTemp.quantidade5 + 
												itemPedidoCompraVendaTemp.quantidade6 + 
												itemPedidoCompraVendaTemp.quantidade7 +
												itemPedidoCompraVendaTemp.quantidade8 +
												itemPedidoCompraVendaTemp.quantidade9 +
												itemPedidoCompraVendaTemp.quantidade10 +
												itemPedidoCompraVendaTemp.quantidade11 +
												itemPedidoCompraVendaTemp.quantidade12 +
												itemPedidoCompraVendaTemp.quantidade13;
												/*itemPedidoCompraVendaTemp.quantidade14 +
												itemPedidoCompraVendaTemp.quantidade15 +
												itemPedidoCompraVendaTemp.quantidade16 +
												itemPedidoCompraVendaTemp.quantidade17;*/
							
							totalQuantidadeBaixa += totalQuantidadeItem;
												

							itemDocumentoEntradaSaida.sequencial =  sequencial;
							sequencial++;
						
							itemDocumentoEntradaSaida.quantidadeTotal =  itemPedidoCompraVendaTemp.quantidadeTotal;
							itemDocumentoEntradaSaida.valorUnitarioCompra =  itemPedidoCompraVendaTemp.valorUnitarioCusto;
							itemDocumentoEntradaSaida.valorUnitarioVenda =  itemPedidoCompraVendaTemp.valorUnitarioVenda;
							itemDocumentoEntradaSaida.valorTotalCompra =  itemPedidoCompraVendaTemp.valorTotalCusto;
							itemDocumentoEntradaSaida.valorTotalVenda =  itemPedidoCompraVendaTemp.valorTotalVenda;
							
							itemDocumentoEntradaSaida.cor = itemPedidoCompraVendaTemp.cor;
							itemDocumentoEntradaSaida.grade = itemPedidoCompraVendaTemp.grade;
							itemDocumentoEntradaSaida.produto = itemPedidoCompraVendaTemp.produto;
							itemDocumentoEntradaSaida.ordemProduto = itemPedidoCompraVendaTemp.ordemProduto;
							itemDocumentoEntradaSaida.observacao = "ITEM GERADO AUTOMATICAMENTE NA BAIXA AUTORIZADA DE PEDIDOS";
							itemDocumentoEntradaSaida.itemPedidoCompraVenda = itemPedidoCompraVendaTemp;
							
							valorTotalCusto += itemDocumentoEntradaSaida.valorTotalCompra;
							valorTotalVenda += itemDocumentoEntradaSaida.valorTotalVenda;
							
							
						
							listaItemDocumentoEntradaSaida.addItem(itemDocumentoEntradaSaida);
						
						}
					}

					documentoEntradaSaida.valorTotal =  valorTotalCusto;
					documentoEntradaSaida.valorTotalNotaFiscal = 0.0 ;
					documentoEntradaSaida.quantidadeTotal = totalQuantidadeBaixa;
					
					
					documentoEntradaSaida.listaItemDocumentoEntradaSaida = listaItemDocumentoEntradaSaida;
					
					var remoteObjectSalvar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("documentoEntradaSaidaService", salvarResultHandler);	
					remoteObjectSalvar.getOperation("baixarPedidoCompraAutorizada").send(documentoEntradaSaida, listaItemDocumentoEntradaSaida);
					
					
					 
				}	
			}
			
			
			// Depois que salva fecha a janela
			private function salvarRascunhoResultHandler( event: ResultEvent ): void 
			{
				this.documentoEntradaSaida = event.result as DocumentoEntradaSaida;
				//this.BtnImprimir.enabled = true;
				this.dispatchEvent(new ResultEvent("DocumentoEntradaSaidaIncluidoEvent",false, true, this.documentoEntradaSaida, null, null));
				Alert.show("Documento de Entrada Salvo com sucesso!");
				
				//this.buttonSalvar.enabled = false;
				//buttonCadastrarDuplicata.enabled = true;
				
			}
			
			// Depois que salva fecha a janela
			private function salvarResultHandler( event: ResultEvent ): void 
			{
				this.documentoEntradaSaida = (event.result as ArrayCollection).getItemAt(0) as DocumentoEntradaSaida;
				
				this.dispatchEvent(new ResultEvent("DocumentoEntradaSaidaIncluidoEvent",false, true, this.documentoEntradaSaida, null, null));
				Alert.show("Baixa Executada com sucesso!");
				
				this.buttonSalvar.enabled = false;
				UPCPopUpManager.instance.removePopUp(this);
			
			}
		
			
			
			
			// ---------------------------------- PESQUISAR AUTOR ABRINDO A LISTA  --------------------------------				
			
			
			
			protected function buttonAdicionarItem_clickHandler(event:MouseEvent):void
			{
				salvarItem();
			}
			
			protected function salvarItem():void
			{
				if((ignComboBoxFixoBaixaCancelado.selectedItem) == "" || (ignComboBoxFixoBaixaCancelado.selectedItem) == null || (ignComboBoxFixoBaixaCancelado.selectedItem).codigo == "")
				{
					Alert.show("Informe se é uma baixa parcial ou completa.", "Mensagem", Alert.OK, this, this.informarOpcaoBaixaCloseHandler);
				}
				else
				{
					if(this.itemPedidoCompraVendaSelecionado.quantidadeTotal < this.quantidadeParcial)
						Alert.show("Quantidade Total Informada não pode ser superior a Quantidade Total do Item","Alerta",Alert.OK,this, this.informarQuantidadeCloseHandler )
					else if(DsvObjectUtil.getById(this.listaItemPedidoCompraVendaBaixado, this.itemPedidoCompraVendaSelecionado.id))
						Alert.show("Esse item já foi baixado. Deseja realizar outra baixa?", "Mensagem", Alert.YES | Alert.NO, this, realizarOutrasBaixasEventHandler);
					else
						adicionarItemGrid();	
				}	
			}
			
			private function informarQuantidadeCloseHandler(event:CloseEvent):void
			{
				this.ignTextInputIntegerQuantidade1.setFocus();
			}
			
			private function realizarOutrasBaixasEventHandler(event:CloseEvent):void
			{
				if(event.detail == Alert.YES)
					adicionarItemGrid();
			}
			
			private function informarOpcaoBaixaCloseHandler(event:CloseEvent):void
			{
				this.ignComboBoxFixoBaixaCancelado.setFocus();
			}
			
			private function adicionarItemGrid():void
			{
				var itemPedidoCompraVenda: ItemPedidoCompraVenda = new ItemPedidoCompraVenda();
				
				if (this.itemPedidoCompraVendaSelecionado != null)
				{
					itemPedidoCompraVenda = this.itemPedidoCompraVendaSelecionado;
				}
				
				itemPedidoCompraVenda.cor = this.cor;
				itemPedidoCompraVenda.produto = this.produto;
				itemPedidoCompraVenda.ordemProduto = this.ordemProduto;
				
				itemPedidoCompraVenda.grade = this.gradeSelecionada;
				
				
				if (this.gradeSelecionada != null && this.grade01 != null && this.gradeSelecionada.descricao == this.grade01.descricao)
				{
					itemPedidoCompraVenda.letraGrade = 'A';
				}
				if (this.gradeSelecionada != null && this.grade02 != null && this.gradeSelecionada.descricao == this.grade02.descricao)
				{
					itemPedidoCompraVenda.letraGrade = 'B';
				}
				
				if (this.gradeSelecionada != null && this.grade03 != null && this.gradeSelecionada.descricao == this.grade03.descricao)
				{
					itemPedidoCompraVenda.letraGrade = 'C';
				}
				
				
				itemPedidoCompraVenda.quantidade1 =  ignTextInputIntegerQuantidade1.text == ""?0:parseInt(ignTextInputIntegerQuantidade1.text);
				itemPedidoCompraVenda.quantidade2 =  ignTextInputIntegerQuantidade2.text == ""?0:parseInt(ignTextInputIntegerQuantidade2.text);
				itemPedidoCompraVenda.quantidade3 =  ignTextInputIntegerQuantidade3.text == ""?0:parseInt(ignTextInputIntegerQuantidade3.text);
				itemPedidoCompraVenda.quantidade4 =  ignTextInputIntegerQuantidade4.text == ""?0:parseInt(ignTextInputIntegerQuantidade4.text);
				itemPedidoCompraVenda.quantidade5 =  ignTextInputIntegerQuantidade5.text == ""?0:parseInt(ignTextInputIntegerQuantidade5.text);
				itemPedidoCompraVenda.quantidade6 =  ignTextInputIntegerQuantidade6.text == ""?0:parseInt(ignTextInputIntegerQuantidade6.text);
				itemPedidoCompraVenda.quantidade7 =  ignTextInputIntegerQuantidade7.text == ""?0:parseInt(ignTextInputIntegerQuantidade7.text);
				itemPedidoCompraVenda.quantidade8 =  ignTextInputIntegerQuantidade8.text == ""?0:parseInt(ignTextInputIntegerQuantidade8.text);
				itemPedidoCompraVenda.quantidade9 =  ignTextInputIntegerQuantidade9.text == ""?0:parseInt(ignTextInputIntegerQuantidade9.text);
				itemPedidoCompraVenda.quantidade10 =  ignTextInputIntegerQuantidade10.text == ""?0:parseInt(ignTextInputIntegerQuantidade10.text);
				itemPedidoCompraVenda.quantidade11 =  ignTextInputIntegerQuantidade11.text == ""?0:parseInt(ignTextInputIntegerQuantidade11.text);
				itemPedidoCompraVenda.quantidade12 =  ignTextInputIntegerQuantidade12.text == ""?0:parseInt(ignTextInputIntegerQuantidade12.text);
				itemPedidoCompraVenda.quantidade13 =  ignTextInputIntegerQuantidade13.text == ""?0:parseInt(ignTextInputIntegerQuantidade13.text);
				
				var quantidadeTotal: int = itemPedidoCompraVenda.quantidade1 + itemPedidoCompraVenda.quantidade2 + itemPedidoCompraVenda.quantidade3 +
					itemPedidoCompraVenda.quantidade4 + itemPedidoCompraVenda.quantidade5 + itemPedidoCompraVenda.quantidade6 + itemPedidoCompraVenda.quantidade7 +
					itemPedidoCompraVenda.quantidade8 + itemPedidoCompraVenda.quantidade9 + itemPedidoCompraVenda.quantidade10 + itemPedidoCompraVenda.quantidade11 +
					itemPedidoCompraVenda.quantidade12 + itemPedidoCompraVenda.quantidade13;
				
				itemPedidoCompraVenda.quantidadeTotal =  quantidadeTotal;
				
				itemPedidoCompraVenda.valorUnitarioCusto =  ignTextInputDoubleValorUnitarioCusto.text == ""?0:parseFloat(ignTextInputDoubleValorUnitarioCusto.text.replace(",", "."));
				itemPedidoCompraVenda.valorUnitarioVenda =  ignTextInputDoubleValorUnitarioVenda.text == ""?0:parseFloat(ignTextInputDoubleValorUnitarioVenda.text.replace(",", "."));
				
				itemPedidoCompraVenda.valorTotalCusto = itemPedidoCompraVenda.quantidadeTotal * itemPedidoCompraVenda.valorUnitarioCusto;
				itemPedidoCompraVenda.valorTotalVenda = itemPedidoCompraVenda.quantidadeTotal * itemPedidoCompraVenda.valorUnitarioVenda;
				
				
				itemPedidoCompraVenda.situacao = ignComboBoxFixoBaixaCancelado.selectedItem;
				
				
				itemPedidoCompraVenda.pedidoCompraVenda = this.pedidoCompraVenda;
				
				if (this.itemPedidoCompraVendaSelecionado == null)
				{
					this.listaItemPedidoCompraVenda.addItemAt(itemPedidoCompraVenda, 0);
					
					var i: int = this.listaItemPedidoCompraVenda.length - 1;
					var j: int = 1;
					for(;i >= 0;  i--)
					{
						var itemPedidoCompraVendaTemp:ItemPedidoCompraVenda = listaItemPedidoCompraVenda.getItemAt(i) as ItemPedidoCompraVenda;
						itemPedidoCompraVendaTemp.sequencial = j;
						j++;
					}
				}
				
				itemPedidoCompraVenda.baixadoCancelado = ignComboBoxFixoBaixaCancelado.selectedItem.codigo;
				
				
				
				// limpa os campos
				
				ignTextInputProduto.text = "";
				ignTextInputOrdemProduto.text = "";
				ignTextInputCor.text = "";
				ignTextInputDoubleValorUnitarioCusto.text = "";
				ignTextInputDoubleValorUnitarioVenda.text = "";
				
				ignTextInputIntegerQuantidade1.text = "";
				ignTextInputIntegerQuantidade2.text = "";
				ignTextInputIntegerQuantidade3.text = "";
				ignTextInputIntegerQuantidade4.text = "";
				ignTextInputIntegerQuantidade5.text = "";
				ignTextInputIntegerQuantidade6.text = "";
				ignTextInputIntegerQuantidade7.text = "";
				ignTextInputIntegerQuantidade8.text = "";
				ignTextInputIntegerQuantidade9.text = "";
				ignTextInputIntegerQuantidade10.text = "";
				ignTextInputIntegerQuantidade11.text = "";
				ignTextInputIntegerQuantidade12.text = "";
				ignTextInputIntegerQuantidade13.text = "";
				
				ignComboBoxAutoCompleteGradeItem.selectedIndex = -1; 
				
				
				textInputQuantidade1.visible = false;
				textInputQuantidade2.visible = false;
				textInputQuantidade3.visible = false;
				textInputQuantidade4.visible = false;
				textInputQuantidade5.visible = false;
				textInputQuantidade6.visible = false;
				textInputQuantidade7.visible = false;
				textInputQuantidade8.visible = false;
				textInputQuantidade9.visible = false;
				textInputQuantidade10.visible = false;
				textInputQuantidade11.visible = false;
				textInputQuantidade12.visible = false;
				textInputQuantidade13.visible = false;
				
				this.quantidadeParcial = 0;
				
				this.produto = null;
				this.ordemProduto = null;
				this.cor = null;
				this.gradeSelecionada = null;
				
				
				this.itemPedidoCompraVendaSelecionado = null;
				
				ignTextInputProduto.setFocus();
			}
			
			
			
			
			protected function ignComboBoxAutoCompleteGradeItem_changeHandler(event:IndexChangeEvent):void
			{
				
				this.gradeSelecionada = ignComboBoxAutoCompleteGradeItem.selectedItem as Grade;
				mostrarGradeSelecionadaAcima();	
			}	
			
			private function mostrarGradeSelecionadaAcima():void
			{
				if (this.gradeSelecionada.descricao == this.grade01.descricao)
				{
					if (grade01.tamanho1 != null && grade01.tamanho1.descricao != " ")
					{
						ignTextInputIntegerQuantidade1.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade1.visible = true;
						textInputQuantidade1.visible = true;
						textInputQuantidade1.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade1.visible = false;
						textInputQuantidade1.visible = false;
					}
					
					if (grade01.tamanho2 != null && grade01.tamanho2.descricao != " ")
					{
						ignTextInputIntegerQuantidade2.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade2.visible = true;
						textInputQuantidade2.visible = true;
						textInputQuantidade2.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade2.visible = false;
						textInputQuantidade2.visible = false;
					}
					if (grade01.tamanho3 != null && grade01.tamanho3.descricao != " ")
					{
						ignTextInputIntegerQuantidade3.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade3.visible = true;
						textInputQuantidade3.visible = true;
						textInputQuantidade3.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade3.visible = false;
						textInputQuantidade3.visible = false;
					}
					if (grade01.tamanho4 != null && grade01.tamanho4.descricao != " ")
					{
						ignTextInputIntegerQuantidade4.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade4.visible = true;
						textInputQuantidade4.visible = true;
						textInputQuantidade4.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade4.visible = false;
						textInputQuantidade4.visible = false;
					}
					if (grade01.tamanho5 != null && grade01.tamanho5.descricao != " ")
					{
						ignTextInputIntegerQuantidade5.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade5.visible = true;
						textInputQuantidade5.visible = true;
						textInputQuantidade5.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade5.visible = false;
						textInputQuantidade5.visible = false;
					}
					if (grade01.tamanho6 != null && grade01.tamanho6.descricao != " ")
					{
						ignTextInputIntegerQuantidade6.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade6.visible = true;
						textInputQuantidade6.visible = true;
						textInputQuantidade6.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade6.visible = false;
						textInputQuantidade6.visible = false;
					}
					if (grade01.tamanho7 != null && grade01.tamanho7.descricao != " ")
					{
						ignTextInputIntegerQuantidade7.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade7.visible = true;
						textInputQuantidade7.visible = true;
						textInputQuantidade7.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade7.visible = false;
						textInputQuantidade7.visible = false;
					}
					if (grade01.tamanho8 != null && grade01.tamanho8.descricao != " ")
					{
						ignTextInputIntegerQuantidade8.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade8.visible = true;
						textInputQuantidade8.visible = true;
						textInputQuantidade8.styleName="textInputGradeA";
						
					}
					else
					{
						ignTextInputIntegerQuantidade8.visible = false;
						textInputQuantidade8.visible = false;
					}
					if (grade01.tamanho9 != null && grade01.tamanho9.descricao != " ")
					{
						ignTextInputIntegerQuantidade9.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade9.visible = true;
						textInputQuantidade9.visible = true;
						textInputQuantidade9.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade9.visible = false;
						textInputQuantidade9.visible = false;
					}
					if (grade01.tamanho10 != null && grade01.tamanho10.descricao != " ")
					{
						ignTextInputIntegerQuantidade10.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade10.visible = true;
						textInputQuantidade10.visible = true;
						textInputQuantidade10.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade10.visible = false;
						textInputQuantidade10.visible = false;
					}
					if (grade01.tamanho11 != null && grade01.tamanho11.descricao != " ")
					{
						ignTextInputIntegerQuantidade11.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade11.visible = true;
						textInputQuantidade11.visible = true;
						textInputQuantidade11.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade11.visible = false;
						textInputQuantidade11.visible = false;
					}
					if (grade01.tamanho12 != null && grade01.tamanho12.descricao != " ")
					{
						ignTextInputIntegerQuantidade12.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade12.visible = true;
						textInputQuantidade12.visible = true;
						textInputQuantidade12.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade12.visible = false;
						textInputQuantidade12.visible = false;
					}
					if (grade01.tamanho13 != null && grade01.tamanho13.descricao != " ")
					{
						ignTextInputIntegerQuantidade13.styleName = "textInputGradeAInvertida";
						ignTextInputIntegerQuantidade13.visible = true;
						textInputQuantidade13.visible = true;
						textInputQuantidade13.styleName="textInputGradeA";
					}
					else
					{
						ignTextInputIntegerQuantidade13.visible = false;
						textInputQuantidade13.visible = false;
					}
					
				}
				
				if (this.gradeSelecionada.descricao == this.grade02.descricao)
				{
					if (grade02.tamanho1 != null && grade02.tamanho1.descricao != " ")
					{
						ignTextInputIntegerQuantidade1.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade1.visible = true;
						textInputQuantidade1.visible = true;
						textInputQuantidade1.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade1.visible = false;
						textInputQuantidade13.visible = false;
					}
					
					if (grade02.tamanho2 != null && grade02.tamanho2.descricao != " ")
					{
						ignTextInputIntegerQuantidade2.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade2.visible = true;
						textInputQuantidade2.visible = true;
						textInputQuantidade2.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade2.visible = false;
						textInputQuantidade2.visible = false;
					}
					if (grade02.tamanho3 != null && grade02.tamanho3.descricao != " ")
					{
						ignTextInputIntegerQuantidade3.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade3.visible = true;
						textInputQuantidade3.visible = true;
						textInputQuantidade3.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade3.visible = false;
						textInputQuantidade3.visible = false;
					}
					if (grade02.tamanho4 != null && grade02.tamanho4.descricao != " ")
					{
						ignTextInputIntegerQuantidade4.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade4.visible = true;
						textInputQuantidade4.visible = true;
						textInputQuantidade4.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade4.visible = false;
						textInputQuantidade4.visible = false;
					}
					if (grade02.tamanho5 != null && grade02.tamanho5.descricao != " ")
					{
						ignTextInputIntegerQuantidade5.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade5.visible = true;
						textInputQuantidade5.visible = true;
						textInputQuantidade5.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade5.visible = false;
						textInputQuantidade5.visible = false;
					}
					if (grade02.tamanho6 != null && grade02.tamanho6.descricao != " ")
					{
						ignTextInputIntegerQuantidade6.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade6.visible = true;
						textInputQuantidade6.visible = true;
						textInputQuantidade6.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade6.visible = false;
						textInputQuantidade6.visible = false;
					}
					if (grade02.tamanho7 != null && grade02.tamanho7.descricao != " ")
					{
						ignTextInputIntegerQuantidade7.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade7.visible = true;
						textInputQuantidade7.visible = true;
						textInputQuantidade7.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade7.visible = false;
						textInputQuantidade7.visible = false;
					}
					if (grade02.tamanho8 != null && grade02.tamanho8.descricao != " ")
					{
						ignTextInputIntegerQuantidade8.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade8.visible = true;
						textInputQuantidade8.visible = true;
						textInputQuantidade8.styleName="textInputGradeB";
						
					}
					else
					{
						ignTextInputIntegerQuantidade8.visible = false;
						textInputQuantidade8.visible = false;
					}
					if (grade02.tamanho9 != null && grade02.tamanho9.descricao != " ")
					{
						ignTextInputIntegerQuantidade9.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade9.visible = true;
						textInputQuantidade9.visible = true;
						textInputQuantidade9.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade9.visible = false;
						textInputQuantidade9.visible = false;
					}
					if (grade02.tamanho10 != null && grade02.tamanho10.descricao != " ")
					{
						ignTextInputIntegerQuantidade10.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade10.visible = true;
						textInputQuantidade10.visible = true;
						textInputQuantidade10.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade10.visible = false;
						textInputQuantidade10.visible = false;
					}
					if (grade02.tamanho11 != null && grade02.tamanho11.descricao != " ")
					{
						ignTextInputIntegerQuantidade11.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade11.visible = true;
						textInputQuantidade11.visible = true;
						textInputQuantidade11.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade11.visible = false;
						textInputQuantidade11.visible = false;
					}
					if (grade02.tamanho12 != null && grade02.tamanho12.descricao != " ")
					{
						ignTextInputIntegerQuantidade12.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade12.visible = true;
						textInputQuantidade12.visible = true;
						textInputQuantidade12.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade12.visible = false;
						textInputQuantidade12.visible = false;
					}
					if (grade02.tamanho13 != null && grade02.tamanho13.descricao != " ")
					{
						ignTextInputIntegerQuantidade13.styleName = "textInputGradeBInvertida";
						ignTextInputIntegerQuantidade13.visible = true;
						textInputQuantidade13.visible = true;
						textInputQuantidade13.styleName="textInputGradeB";
					}
					else
					{
						ignTextInputIntegerQuantidade13.visible = false;
						textInputQuantidade13.visible = false;
					}				
				}
				
				if (this.gradeSelecionada.descricao == this.grade03.descricao)
				{
					if (grade03.tamanho1 != null && grade03.tamanho1.descricao != " ")
					{
						ignTextInputIntegerQuantidade1.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade1.visible = true;
						textInputQuantidade1.visible = true;
						textInputQuantidade1.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade1.visible = false;
						textInputQuantidade1.visible = false;
					}
					
					if (grade03.tamanho2 != null && grade03.tamanho2.descricao != " ")
					{
						ignTextInputIntegerQuantidade2.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade2.visible = true;
						textInputQuantidade2.visible = true;
						textInputQuantidade2.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade2.visible = false;
						textInputQuantidade2.visible = false;
					}
					if (grade03.tamanho3 != null && grade03.tamanho3.descricao != " ")
					{
						ignTextInputIntegerQuantidade3.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade3.visible = true;
						textInputQuantidade3.visible = true;
						textInputQuantidade3.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade3.visible = false;
						textInputQuantidade3.visible = false;
					}
					if (grade03.tamanho4 != null && grade03.tamanho4.descricao != " ")
					{
						ignTextInputIntegerQuantidade4.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade4.visible = true;
						textInputQuantidade4.visible = true;
						textInputQuantidade4.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade4.visible = false;
						textInputQuantidade4.visible = false;
					}
					if (grade03.tamanho5 != null && grade03.tamanho5.descricao != " ")
					{
						ignTextInputIntegerQuantidade5.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade5.visible = true;
						textInputQuantidade5.visible = true;
						textInputQuantidade5.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade5.visible = false;
						textInputQuantidade5.visible = false;
					}
					if (grade03.tamanho6 != null && grade03.tamanho6.descricao != " ")
					{
						ignTextInputIntegerQuantidade6.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade6.visible = true;
						textInputQuantidade6.visible = true;
						textInputQuantidade6.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade6.visible = false;
						textInputQuantidade6.visible = false;
					}
					if (grade03.tamanho7 != null && grade03.tamanho7.descricao != " ")
					{
						ignTextInputIntegerQuantidade7.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade7.visible = true;
						textInputQuantidade7.visible = true;
						textInputQuantidade7.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade7.visible = false;
						textInputQuantidade7.visible = false;
					}
					if (grade03.tamanho8 != null && grade03.tamanho8.descricao != " ")
					{
						ignTextInputIntegerQuantidade8.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade8.visible = true;
						textInputQuantidade8.visible = true;
						textInputQuantidade8.styleName="textInputGradeC";
						
					}
					else
					{
						ignTextInputIntegerQuantidade8.visible = false;
						textInputQuantidade8.visible = false;
					}
					if (grade03.tamanho9 != null && grade03.tamanho9.descricao != " ")
					{
						ignTextInputIntegerQuantidade9.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade9.visible = true;
						textInputQuantidade9.visible = true;
						textInputQuantidade9.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade9.visible = false;
						textInputQuantidade9.visible = false;
					}
					if (grade03.tamanho10 != null && grade03.tamanho10.descricao != " ")
					{
						ignTextInputIntegerQuantidade10.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade10.visible = true;
						textInputQuantidade10.visible = true;
						textInputQuantidade10.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade10.visible = false;
						textInputQuantidade10.visible = false;
					}
					if (grade03.tamanho11 != null && grade03.tamanho11.descricao != " ")
					{
						ignTextInputIntegerQuantidade11.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade11.visible = true;
						textInputQuantidade11.visible = true;
						textInputQuantidade11.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade11.visible = false;
						textInputQuantidade11.visible = false;
					}
					if (grade03.tamanho12 != null && grade03.tamanho12.descricao != " ")
					{
						ignTextInputIntegerQuantidade12.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade12.visible = true;
						textInputQuantidade12.visible = true;
						textInputQuantidade12.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade12.visible = false;
						textInputQuantidade12.visible = false;
					}
					if (grade03.tamanho13 != null && grade03.tamanho13.descricao != " ")
					{
						ignTextInputIntegerQuantidade13.styleName = "textInputGradeCInvertida";
						ignTextInputIntegerQuantidade13.visible = true;
						textInputQuantidade13.visible = true;
						textInputQuantidade13.styleName="textInputGradeC";
					}
					else
					{
						ignTextInputIntegerQuantidade13.visible = false;
						textInputQuantidade13.visible = false;
					}	
				}
				
			}
			
			protected function calcularQuantidadeParcial(event:TextOperationEvent):void
			{
				var quantidadeTemp: int = 0;
				
				if (this.ignTextInputIntegerQuantidade1.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade1.text);
				}
				if (this.ignTextInputIntegerQuantidade2.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade2.text);
				}
				if (this.ignTextInputIntegerQuantidade3.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade3.text);
				}
				if (this.ignTextInputIntegerQuantidade4.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade4.text);
				}
				if (this.ignTextInputIntegerQuantidade5.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade5.text);
				}
				if (this.ignTextInputIntegerQuantidade6.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade6.text);
				}
				if (this.ignTextInputIntegerQuantidade7.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade7.text);
				}
				if (this.ignTextInputIntegerQuantidade8.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade8.text);
				}
				if (this.ignTextInputIntegerQuantidade9.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade9.text);
				}
				if (this.ignTextInputIntegerQuantidade10.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade10.text);
				}
				if (this.ignTextInputIntegerQuantidade11.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade11.text);
				}
				if (this.ignTextInputIntegerQuantidade12.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade12.text);
				}
				if (this.ignTextInputIntegerQuantidade13.text != "")
				{
					quantidadeTemp += parseInt(this.ignTextInputIntegerQuantidade13.text);
				}
				
				this.quantidadeParcial = quantidadeTemp;
			}

			protected function datagridListaItemPedidoCompraVenda_keyDownHandler(event:KeyboardEvent):void
			{
				if(event.keyCode == 46)
				{
					if(this.datagridListaItemPedidoCompraVenda.selectedIndex != -1)
					{				
						if((this.datagridListaItemPedidoCompraVenda.selectedItem as ItemPedidoCompraVenda).baixadoCancelado != null)
							Alert.show("Existe uma baixa para o item. Deseja desfazer?", "Confirmação", Alert.YES | Alert.NO, this, desfazerBaixaEventHandler);
						else
							var alert:Alert = Alert.show("Deseja realmente excluir?", "Confirmacao de Exclusao", Alert.YES | Alert.NO, this, this.alertClickHandler);
					}
				}
			}
			
			protected function desfazerBaixaEventHandler(event:CloseEvent):void
			{
				if(event.detail == Alert.YES)
				{
					this.itemPedidoCompraVendaSelecionado = this.datagridListaItemPedidoCompraVenda.selectedItem as ItemPedidoCompraVenda;
					this.itemPedidoCompraVendaSelecionado.situacao = "1";
					this.itemPedidoCompraVendaSelecionado.baixadoCancelado = null;
					this.itemPedidoCompraVendaSelecionado = null;
				}
			}
			
			private function alertClickHandler(evt:CloseEvent):void
			{
				var resultItemPedidoCompraVenda:ArrayCollection = new ArrayCollection();
				if(evt.detail == Alert.YES)
				{
					this.listaItemPedidoCompraVenda.removeItemAt(this.datagridListaItemPedidoCompraVenda.selectedIndex);
					
					var i: int = this.listaItemPedidoCompraVenda.length - 1;
					var j: int = 1;
					for(;i >= 0;  i--)
					{
						var itemPedidoCompraVendaTemp:ItemPedidoCompraVenda = listaItemPedidoCompraVenda.getItemAt(i) as ItemPedidoCompraVenda;
						itemPedidoCompraVendaTemp.sequencial = j;
						j++;
					}
					
				
				}
			}
						
			protected function buttonAdicionarItem_keyDownHandler(event:KeyboardEvent):void
			{
				if (event.charCode == 13)
				{
					salvarItem();
				}
				
			}
			
			protected function buttonCancelarItem_clickHandler(event:MouseEvent):void
			{
				// TODO Auto-generated method stub
				
			}
			
			protected function buttonCancelarItem_keyDownHandler(event:KeyboardEvent):void
			{
				// TODO Auto-generated method stub
				
			}
			
			protected function button1_clickHandler(event:MouseEvent):void
			{
				var remoteObjectSalvar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("movimentacaoEstoqueService", imprimirResultHandler);	
				remoteObjectSalvar.getOperation("recuperarMovimentacaoPorDocumentoEntradaSaida").send(this.documentoEntradaSaida); 
				
			}
			private function imprimirResultHandler( event: ResultEvent ): void 
			{
				
				var mov:MovimentacaoEstoque = event.result as MovimentacaoEstoque;
				var etiqueta:EtiquetaComponenteImprimirMovimentacaoEstoque = new EtiquetaComponenteImprimirMovimentacaoEstoque();
				etiqueta.numEnabled = false;
				etiqueta.movimentacaoEstoque = mov;
				UPCPopUpManager.instance.addPopUp(etiqueta,this,true);
				UPCPopUpManager.instance.centerWindow(etiqueta);
				
			}
			
					
			private function documentoEntradaSaidaAtualizadoResultHandler(event:ResultEvent):void
			{
				this.dispatchEvent(new ResultEvent("DocumentoEntradaSaidaIncluidoEvent", false, false, this.documentoEntradaSaida));
			}
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<!-- <mx:Validator id="validatorObrigatorioSituacaoPedidoCompraVenda" property="selectedItem" required="true" source="{comboBoxSituacaoPedidoCompraVenda}" trigger="{comboBoxSituacaoPedidoCompraVenda}" triggerEvent="valueCommit"/> -->
		
		<!--		
		<s:ArrayCollection id="listaOpcaoTipo">
		<fx:Object codigo="" valor=""/>
		<fx:Object codigo="C" valor="Compra"/>
		<fx:Object codigo="V" valor="Venda"/>
		</s:ArrayCollection>
		-->		
		
		<s:ArrayCollection id="listaOpcaoCifFob">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="C" valor="CIF"/>
			<fx:Object codigo="F" valor="FOB"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaBaixaCancelado">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="B" valor="Baixado"/>
			<fx:Object codigo="P" valor="Baixa Parcial"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaOpcaoSituacao">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="1" valor="Pendente"/>
			<fx:Object codigo="2" valor="Atendido Parcialmente"/>
			<fx:Object codigo="3" valor="Atendido Integralmente"/>
			<fx:Object codigo="4" valor="Cancelado"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaGradeABC">
			<fx:Object codigo="1" valor="A"/>
			<fx:Object codigo="2" valor="B"/>
			<fx:Object codigo="3" valor="C"/>
		</s:ArrayCollection>
	</fx:Declarations>
	
	<s:VGroup width="100%">
		<mx:Grid width="100%" height="50" maxWidth="1200" styleName="gridCompactadoVertical">
			<mx:GridRow>	
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Empresa"/>
						<s:Label text="{this.pedidoCompraVenda.empresaFisica.razaoSocial}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Fornecedor"/>
						<s:Label text="{this.pedidoCompraVenda.fornecedorCliente.razaoSocial}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Emissão"/>
						<s:Label text="{dataPadrao.format(pedidoCompraVenda.dataPedido)}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Nr. Pedido"/>
						<s:Label text="{this.pedidoCompraVenda.numeroPedido}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Quinzena"/>
						<s:Label text="{dataPadrao.format(pedidoCompraVenda.dataQuinzena)}"/>
					</s:VGroup>
				</mx:GridItem>
			</mx:GridRow>
		
		</mx:Grid>
		<mx:Grid width="100%" height="75" styleName="gridCompactadoVertical">			
			<mx:GridRow>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Produto"/>
						<s:HGroup>
							<visual:IgnTextInput id="ignTextInputProduto" width="300" editable="false"
														enabled="false" focusEnabled="false"
														listaValidadorForm="{this.listaValidadorForm}"
														obrigatorio="false"/>
						</s:HGroup>
						
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Ordem"/>
						<s:HGroup>
							<visual:IgnTextInput id="ignTextInputOrdemProduto" editable="false"
														enabled="false" focusEnabled="false"
														listaValidadorForm="{this.listaValidadorForm}"
														obrigatorio="false"/>
						</s:HGroup>
						
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Cor"/>
						<s:HGroup>
							<visual:IgnTextInput id="ignTextInputCor" width="115" editable="false"
														enabled="false" focusEnabled="false"
														listaValidadorForm="{this.listaValidadorForm}"
														obrigatorio="false"/>
						</s:HGroup>
						
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Vl. Custo Nota"/>
						<visual:IgnTextInputMoney id="ignTextInputDoubleValorUnitarioCusto" width="60"
														  listaValidadorForm="{this.listaValidadorForm}"
														  obrigatorio="false"/>
						
					</s:VGroup>
					
				</mx:GridItem>			
						
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label text="Vl. Venda"/>
						<visual:IgnTextInputMoney id="ignTextInputDoubleValorUnitarioVenda" width="50"
														  listaValidadorForm="{this.listaValidadorForm}"
														  obrigatorio="false"/>
						
					</s:VGroup>
				</mx:GridItem>	
			</mx:GridRow>
		</mx:Grid>	
		<mx:Grid width="100%" height="50" styleName="gridCompactadoVertical">	
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label width="40" text="Grade:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteGradeItem" width="77"
															  change="ignComboBoxAutoCompleteGradeItem_changeHandler(event)"
															  dataProvider="{listaGradeSelecionada}"
															  labelField="descricao"
															  listaValidadorForm="{this.listaValidadorForm}"
															  obrigatorio="false"/>
				</mx:GridItem>	
				<mx:GridItem styleName="gridValor">
					<mx:Grid styleName="gridCompactado">
						<mx:GridRow>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade1" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho1.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade1"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade2" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho2.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade2"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade3" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho3.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade3"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade4" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho4.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade4"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade5" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho5.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade5"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade6" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho6.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade6"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade7" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho7.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade7"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade8" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho8.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade8"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade9" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho9.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade9"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade10" visible="false" width="100%"
													 editable="false" focusEnabled="false"
													 text="{gradeSelecionada.tamanho10.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade10"
																		 width="100%"
																		 listaValidadorForm="{this.listaValidadorForm}"
																		 obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade11" visible="false" width="100%" editable="false" focusEnabled="false" text="{gradeSelecionada.tamanho11.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade11" width="100%" listaValidadorForm="{this.listaValidadorForm}" obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade12" visible="false" width="100%" editable="false" focusEnabled="false" text="{gradeSelecionada.tamanho12.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade12" width="100%" listaValidadorForm="{this.listaValidadorForm}" obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidade13" visible="false" width="100%" editable="false" focusEnabled="false" text="{gradeSelecionada.tamanho13.descricao}"/>
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidade13" width="100%" listaValidadorForm="{this.listaValidadorForm}" obrigatorio="false" change="calcularQuantidadeParcial(event)"/>
								</mx:VBox>
							</mx:GridItem>
							<mx:GridItem width="40">
								<mx:VBox width="100%" styleName="gridCompactado">
									<s:TextInput id="textInputQuantidadeTotal" text="TOTAL" width="100%" editable="false" focusEnabled="false" />
									<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidadeTotal" obrigatorio="false" text="{quantidadeParcial}" listaValidadorForm="{this.listaValidadorForm}" width="100%"/>
								</mx:VBox>
							</mx:GridItem>
						</mx:GridRow>
					</mx:Grid>	
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<visual:IgnComboBoxFixo id="ignComboBoxFixoBaixaCancelado" width="100"
													dataProvider="{listaBaixaCancelado}"
													listaValidadorForm="{this.listaValidadorForm}"
													obrigatorio="false"/> 
				</mx:GridItem>
				<mx:GridItem>
					<mx:VBox width="100%" height="100%" styleName="gridCompactado">
						<s:Button id="buttonAdicionarItem" width="90" height="100%" label="Salvar"
									 click="buttonAdicionarItem_clickHandler(event)"
									 keyDown="buttonAdicionarItem_keyDownHandler(event)"/>
					</mx:VBox>
				</mx:GridItem>
			</mx:GridRow>					
		</mx:Grid>
		<mx:Grid width="100%" height="390" maxWidth="1200" styleName="gridCompactadoVertical">
			<mx:GridRow width="100%">
				<mx:GridItem width="100%" horizontalAlign="center">
					<mx:DataGrid id="datagridListaItemPedidoCompraVenda" width="100%" height="380"
									 dataProvider="{listaItemPedidoCompraVenda}"
									 doubleClick="datagridListaItemPedidoCompraVenda_doubleClickHandler(event)"
									 doubleClickEnabled="true" horizontalScrollPolicy="on"
									 keyDown="datagridListaItemPedidoCompraVenda_keyDownHandler(event)"
									 styleName="gridCompactado" verticalScrollPolicy="on">
						<mx:columns>
							<mx:DataGridColumn visible="false" dataField="id"/>
							<mx:DataGridColumn width="60" dataField="baixadoCancelado" headerText="Situação"
													 resizable="false"/>
							<mx:DataGridColumn width="35" dataField="sequencial" headerText="Item"/>
							<mx:DataGridColumn width="280" dataField="produtoCompleto" headerText="Produto"/>
							<mx:DataGridColumn width="70" dataField="ordemProduto.descricao" headerText="Ordem"/>
							<mx:DataGridColumn width="70" dataField="cor.descricaoCorEmpresa" headerText="Cor"/>
							<mx:DataGridColumn width="45" dataField="grade.descricao" headerText="Grade"
													 resizable="false"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade1" width="30"
													 dataField="quantidade1"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho1.descricao}:::{grade02.tamanho1.descricao}:::{grade03.tamanho1.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade2" width="30"
													 dataField="quantidade2"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho2.descricao}:::{grade02.tamanho2.descricao}:::{grade03.tamanho2.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade3" width="30"
													 dataField="quantidade3"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho3.descricao}:::{grade02.tamanho3.descricao}:::{grade03.tamanho3.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade4" width="30"
													 dataField="quantidade4"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho4.descricao}:::{grade02.tamanho4.descricao}:::{grade03.tamanho4.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade5" width="30"
													 dataField="quantidade5"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho5.descricao}:::{grade02.tamanho5.descricao}:::{grade03.tamanho5.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade6" width="30"
													 dataField="quantidade6"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho6.descricao}:::{grade02.tamanho6.descricao}:::{grade03.tamanho6.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade7" width="30"
													 dataField="quantidade7"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho7.descricao}:::{grade02.tamanho7.descricao}:::{grade03.tamanho7.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade8" width="30"
													 dataField="quantidade8"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho8.descricao}:::{grade02.tamanho8.descricao}:::{grade03.tamanho8.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade9" width="30"
													 dataField="quantidade9"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho9.descricao}:::{grade02.tamanho9.descricao}:::{grade03.tamanho9.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade10" width="30"
													 dataField="quantidade10"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho10.descricao}:::{grade02.tamanho10.descricao}:::{grade03.tamanho10.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade11" width="30"
													 dataField="quantidade11"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho11.descricao}:::{grade02.tamanho11.descricao}:::{grade03.tamanho11.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade12" width="30"
													 dataField="quantidade12"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho12.descricao}:::{grade02.tamanho12.descricao}:::{grade03.tamanho12.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade13" width="30"
													 dataField="quantidade13"
													 headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGrade"
													 headerText="{grade01.tamanho13.descricao}:::{grade02.tamanho13.descricao}:::{grade03.tamanho13.descricao}"
													 itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn width="40" dataField="quantidadeTotal"
													 dataTipField="Quantidade Total" headerText="Qt Tot"
													 resizable="false"/>
							<mx:DataGridColumn width="55" dataField="valorUnitarioCustoFormatado"
													 dataTipField="Valor de Custo por Unidade"
													 headerText="Vl Custo" resizable="false"/>
							<mx:DataGridColumn width="60" dataField="valorTotalCustoFormatado"
													 dataTipField="Valor Total de Custo" headerText="Tot Custo"
													 resizable="false"/>
							<mx:DataGridColumn width="60" dataField="valorUnitarioVendaFormatado"
													 dataTipField="Valor de Venda por Unidade"
													 headerText="Vl Venda" resizable="false"/>
							<mx:DataGridColumn width="60" dataField="valorTotalVendaFormatado"
													 dataTipField="Valor Total de Venda" headerText="Tot Venda"
													 resizable="false"/>
						</mx:columns>	
					</mx:DataGrid>
				</mx:GridItem>
			</mx:GridRow>	
		</mx:Grid>
		<mx:Grid width="100%" height="30" maxWidth="1200">
			<mx:GridRow width="100%">
				<mx:GridItem width="100%" horizontalAlign="center">
					<s:HGroup width="100%" horizontalAlign="center">
						<s:Button id="buttonSalvar" label="Baixar Pedido" click="buttonSalvar_clickHandler(event)"/>
					</s:HGroup>
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
	</s:VGroup>	
</s:TitleWindow>